Headers

  • X-PLANNR-ACCOUNT-UUID string
application/json

Body

  • participant_uuids array[string(uuid)] Required

    Participants who will be viewing and signing the documents. Must be given in the order you would like the participants to view the documents.

  • document_template_uuids array[string(uuid)] Required

    Array document template UUIDs to be added as adhoc documents of the document signing process. Required without document_pack.

  • document_template_dependants object

    Array variable dependant models that are needed for variable replacing across all documents that are provided.

    Additional properties are allowed.

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • uuid string

      The UUID of the resource.

    • created_at string

      The timestamp of when the resource was created.

    • updated_at string

      The timestamp of when the resource was updated.

    • name integer

      Transaction ID on Alphatrust

    • status string

      Current status of the document signing process.

    • participants array[object]

      Participants of the document signing process.

      Hide participants attributes Show participants attributes object
      • uuid string
      • created_at string
      • updated_at string
      • alphatrust_id integer
      • name string
      • status string
    • documents array[object]

      Documents of the document signing process.

      Hide documents attributes Show documents attributes object
      • uuid string
      • created_at string
      • updated_at string
      • alphatrust_id integer
      • name string
      • status string
    • launched_by object

      Account that launched the document signing process.

      Hide launched_by attributes Show launched_by attributes object
      • uuid string
      • created_at string
      • updated_at string
      • type string
      • role string
      • first_name string
      • last_name string
      • name string
      • email string
      • photo_url string
      • firm string
      • primary_phone_number string
      • primary_email string
      • current_time_entry string
      • assigned_adviser string
      • assigned_administrator string
      • assigned_paraplanner string
      • introduced_by string
      • business_unit string
      • groups string
      • tags string
      • owners string
      • first_contact_date string
      • next_review_date string
      • previous_review_date string
      • anniversary_review_date string
      • terms_of_business_at string
      • client_agreement_at string
      • with_login boolean
      • has_joint_account boolean
      • can_be_deleted string
      • joint_account_circle string
      • circles string
      • ownership_percentage integer
      • inactive_at string
      • last_interaction_at string
      • referral_code string
      • permissions object
        Hide permissions attributes Show permissions attributes object
        • firm:read array[string]
        • network:read array[string]
      • custom_fields string
      • external_references string
POST /api/v1/document-signing
curl \
 --request POST 'https://api.plannrcrm.com/api/v1/document-signing' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
 --data '{"participant_uuids":["11d3da6c-c801-4142-a344-f21719896265","60242ee2-1e6d-4d04-8b8d-09f7804c3100","f75bc61b-4778-463f-b925-3963aa5ceed7"],"document_template_uuids":["aeff0486-01b2-4557-8036-c055668e6d99","6e06b2d3-e3d6-4300-940b-6179ac27d8b5","9843e410-5c70-4531-9a2d-02976f0e81c1"],"document_template_dependants":{"client-1":"7ce7440f-6f3b-4012-a311-841c784cecf4","client-2":"b4f2b2ad-7871-418e-acbd-80f0aca38cbb"}}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}

# Payload
{
  "participant_uuids": [
    "11d3da6c-c801-4142-a344-f21719896265",
    "60242ee2-1e6d-4d04-8b8d-09f7804c3100",
    "f75bc61b-4778-463f-b925-3963aa5ceed7"
  ],
  "document_template_uuids": [
    "aeff0486-01b2-4557-8036-c055668e6d99",
    "6e06b2d3-e3d6-4300-940b-6179ac27d8b5",
    "9843e410-5c70-4531-9a2d-02976f0e81c1"
  ],
  "document_template_dependants": {
    "client-1": "7ce7440f-6f3b-4012-a311-841c784cecf4",
    "client-2": "b4f2b2ad-7871-418e-acbd-80f0aca38cbb"
  }
}
Response examples (200)
{
  "uuid": "7d55b59a-99ed-4b39-9c9b-3112f3b9fbb2",
  "created_at": "2026-05-20T13:55:09+01:00",
  "updated_at": "2026-05-20T13:55:09+01:00",
  "name": 1000243230,
  "status": "pending",
  "participants": [
    {
      "uuid": "94b2231b-6e73-4cb1-8827-016470910b05",
      "created_at": "2026-05-20T13:55:09+01:00",
      "updated_at": "2026-05-20T13:55:09+01:00",
      "alphatrust_id": 1000145124,
      "name": "Gareth Thompson",
      "status": "pending"
    }
  ],
  "documents": [
    {
      "uuid": "ddeaa91b-2258-472c-ab2a-53ce731f8eb4",
      "created_at": "2026-05-20T13:55:09+01:00",
      "updated_at": "2026-05-20T13:55:09+01:00",
      "alphatrust_id": 1000455612,
      "name": "Welcome Pack",
      "status": "pending"
    }
  ],
  "launched_by": {
    "uuid": "d5018974-aa55-4b3d-8313-eb5af5339845",
    "created_at": "2026-05-20T13:55:09+01:00",
    "updated_at": "2026-05-20T13:55:09+01:00",
    "type": "client",
    "role": "client",
    "first_name": "Gareth",
    "last_name": "Thompson",
    "name": "Gareth Thompson",
    "email": "gareth@codepotato.co.uk",
    "photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
    "firm": "App\\Http\\Resources\\FirmResource",
    "primary_phone_number": "App\\Http\\Resources\\ContactDetailResource",
    "primary_email": "App\\Http\\Resources\\ContactDetailResource",
    "current_time_entry": "App\\Http\\Resources\\TimeEntryResource",
    "assigned_adviser": "App\\Http\\Resources\\AccountResource",
    "assigned_administrator": "App\\Http\\Resources\\AccountResource",
    "assigned_paraplanner": "App\\Http\\Resources\\AccountResource",
    "introduced_by": "App\\Http\\Resources\\AccountResource",
    "business_unit": "App\\Http\\Resources\\BusinessUnitResource",
    "groups": "App\\Http\\Resources\\GroupResource",
    "tags": "App\\Http\\Resources\\TagResource",
    "owners": "App\\Http\\Resources\\AccountResource",
    "first_contact_date": "2026-05-20T13:55:09+01:00",
    "next_review_date": "2026-05-20T13:55:09+01:00",
    "previous_review_date": "2026-05-20T13:55:09+01:00",
    "anniversary_review_date": "2026-05-20T13:55:09+01:00",
    "terms_of_business_at": "2026-05-20T13:55:09+01:00",
    "client_agreement_at": "2026-05-20T13:55:09+01:00",
    "with_login": true,
    "has_joint_account": true,
    "can_be_deleted": "false",
    "joint_account_circle": "App\\Http\\Resources\\CircleResource",
    "circles": "App\\Http\\Resources\\CircleResource",
    "ownership_percentage": 100,
    "inactive_at": "2026-05-20",
    "last_interaction_at": "2026-05-20 13:55:09",
    "referral_code": "ABC12345",
    "permissions": {
      "firm:read": [
        "firm"
      ],
      "network:read": [
        "network:uuid"
      ]
    },
    "custom_fields": "App\\Http\\Resources\\CustomFieldValueResource",
    "external_references": "App\\Http\\Resources\\ExternalReferenceResource"
  }
}